// ライセンス: GPL2

//
// 2ch互換型スレ情報クラス
//

#ifndef _ARTICLE2CHCOMPATI_H
#define _ARTICLE2CHCOMPATI_H

#include "articlebase.h"

namespace DBTREE
{
    class Article2chCompati : public ArticleBase
    {
      public:

        Article2chCompati( const std::string& datbase, const std::string& id, bool cached, const Encoding enc );
        ~Article2chCompati() noexcept;

        // 書き込みメッセージ作成
        std::string create_write_message( const std::string& name, const std::string& mail,
                                          const std::string& msg, const bool utf8_post ) override;

        // bbscgi のURL
        std::string url_bbscgi() const override;

        // subbbscgi のURL
        std::string url_subbbscgi() const override;

      private:
        
        NodeTreeBase* create_nodetree() override;
    };
}

#endif
